Package org.italiangrid.voms.ac

# Interface VOMSACParser

All Known Subinterfaces:
  `VOMSACValidator`

All Known Implementing Classes:
  `DefaultVOMSACParser`, `DefaultVOMSValidator`

public interface VOMSACParser
This interface defines the behavior of a VOMS Attribute Certificate parser.

Author:
  Andrea Ceccanti

## Method Summary

Modifier and Type
Method
Description
`List<VOMSAttribute>`
`parse(X509Certificate[] validatedChain)`
Looks for and parses VOMS attributes in the certificate chain passed as argument (which is assumed to be already validated).

## Method Details

### parse

List<VOMSAttribute> parse(X509Certificate[] validatedChain)
Looks for and parses VOMS attributes in the certificate chain passed as argument (which is assumed to be already validated).

Parameters:
  `validatedChain` - a validated X.509 certificate chain
Returns:
  a possibly empty list of `VOMSAttribute` objects providing access to the parsed VOMS attributes